#ifndef _FILE_H_
#define _FILE_H_

#include <stdio.h>
#include <complex.h>

typedef struct {
  FILE *f;
  complex *back_buffer;
  int back_buffer_size;
  int back_buffer_pos;
} file_io;

file_io *new_input_file(char *filename);
void close_input(file_io *f);

int get_samples(file_io *f, complex *out, int count);
void put_back_samples(file_io *f, complex *in, int count);

#endif /* _FILE_H_ */
